Bug 139403 - The display property of many MathML elements can not be overriden by page authors
Summary: The display property of many MathML elements can not be overriden by page aut...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords:
Depends on: 153991
Blocks: 159715
  Show dependency treegraph
 
Reported: 2014-12-08 09:16 PST by Frédéric Wang (:fredw)
Modified: 2016-07-13 09:11 PDT (History)
5 users (show)

See Also:


Attachments
Testcase (239 bytes, text/html)
2014-12-08 09:16 PST, Frédéric Wang (:fredw)
no flags Details
Patch (5.52 KB, patch)
2016-07-06 05:02 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (5.06 KB, patch)
2016-07-07 15:25 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-yosemite (1.19 MB, application/zip)
2016-07-07 16:04 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-yosemite (1.43 MB, application/zip)
2016-07-07 16:25 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (1001.79 KB, application/zip)
2016-07-07 16:42 PDT, Build Bot
no flags Details
Patch (5.08 KB, patch)
2016-07-08 06:27 PDT, Frédéric Wang (:fredw)
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-yosemite (888.07 KB, application/zip)
2016-07-08 06:57 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-yosemite-wk2 (902.37 KB, application/zip)
2016-07-08 06:59 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-yosemite (1.58 MB, application/zip)
2016-07-08 08:08 PDT, Build Bot
no flags Details
Patch (7.06 KB, patch)
2016-07-08 08:26 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (4.96 KB, patch)
2016-07-12 09:53 PDT, Frédéric Wang (:fredw)
bfulgham: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2014-12-08 09:16:51 PST
Created attachment 242819 [details]
Testcase

The display property of many MathML elements can not be overriden by page authors. This is because they have some

display: ...flex... !important;

property in the mathml.css user agent stylesheet. See the attached testcase.

I guess we can not just remove the "!important" rules, as the MathML code assumes that the elements are really flexboxes...
Comment 1 Frédéric Wang (:fredw) 2016-06-27 23:55:34 PDT
We should consider removing the !important property after bug 153991.
Comment 2 Frédéric Wang (:fredw) 2016-07-06 05:02:30 PDT
Created attachment 282878 [details]
Patch
Comment 3 Frédéric Wang (:fredw) 2016-07-07 15:25:58 PDT
Created attachment 283065 [details]
Patch
Comment 4 Build Bot 2016-07-07 16:04:28 PDT
Comment on attachment 283065 [details]
Patch

Attachment 283065 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1643287

New failing tests:
accessibility/roles-computedRoleString.html
Comment 5 Build Bot 2016-07-07 16:04:33 PDT
Created attachment 283078 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 6 Build Bot 2016-07-07 16:25:32 PDT
Comment on attachment 283065 [details]
Patch

Attachment 283065 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1643354

New failing tests:
accessibility/roles-computedRoleString.html
Comment 7 Build Bot 2016-07-07 16:25:35 PDT
Created attachment 283082 [details]
Archive of layout-test-results from ews113 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 8 Build Bot 2016-07-07 16:42:24 PDT
Comment on attachment 283065 [details]
Patch

Attachment 283065 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1643469

New failing tests:
accessibility/roles-computedRoleString.html
Comment 9 Build Bot 2016-07-07 16:42:28 PDT
Created attachment 283088 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 10 Frédéric Wang (:fredw) 2016-07-08 06:27:06 PDT
Created attachment 283145 [details]
Patch
Comment 11 Build Bot 2016-07-08 06:57:10 PDT
Comment on attachment 283145 [details]
Patch

Attachment 283145 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1646843

New failing tests:
accessibility/roles-computedRoleString.html
Comment 12 Build Bot 2016-07-08 06:57:14 PDT
Created attachment 283151 [details]
Archive of layout-test-results from ews100 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 13 Build Bot 2016-07-08 06:59:40 PDT
Comment on attachment 283145 [details]
Patch

Attachment 283145 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1646844

New failing tests:
accessibility/roles-computedRoleString.html
Comment 14 Build Bot 2016-07-08 06:59:43 PDT
Created attachment 283152 [details]
Archive of layout-test-results from ews105 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 15 Build Bot 2016-07-08 08:08:10 PDT
Comment on attachment 283145 [details]
Patch

Attachment 283145 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1647115

New failing tests:
accessibility/roles-computedRoleString.html
Comment 16 Build Bot 2016-07-08 08:08:14 PDT
Created attachment 283162 [details]
Archive of layout-test-results from ews113 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 17 Joanmarie Diggs (irc: joanie) 2016-07-08 08:23:48 PDT
Ah. Test noise resulting in failures that are not failures.

IMHO, this is a case where the right thing to do is to eliminate the noise rather than updating the noise. An example of where this is done for the full test, rather than on an element-by-element basis, can be found here:
https://trac.webkit.org/browser/trunk/LayoutTests/accessibility/w3c-svg-roles.html#L180
Comment 18 Frédéric Wang (:fredw) 2016-07-08 08:26:59 PDT
Created attachment 283164 [details]
Patch
Comment 19 Joanmarie Diggs (irc: joanie) 2016-07-08 11:06:47 PDT
(In reply to comment #18)
> Created attachment 283164 [details]
> Patch

The accessibility test has been modified to not dump the noise. As a result, there should no longer be a test failure or different expectations needed.
https://trac.webkit.org/changeset/202994
Comment 20 Manuel Rego Casasnovas 2016-07-12 06:32:58 PDT
Comment on attachment 283164 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=283164&action=review

Nice patch Fred, I also believe we should get rid of that !important rules.

Informal r+ here.

> LayoutTests/imported/mathml-in-html5/mathml/relations/css-styling/display-1-expected.html:9
> +  <div style="background: green; color: red; width: 200px; height: 200px;">

Nit: This is an imported test so I'm fine with it. We should fix the test in the suite, but "color: red" is not needed here.

> LayoutTests/imported/mathml-in-html5/mathml/relations/css-styling/display-1.html:12
> +  <div style="background: green; color: red; width: 200px; height: 200px;">

Ditto.

> Source/WebCore/ChangeLog:7
> +        'display: block'. We remove the !important property so that users can override the display

Nit: "!important rule" or "!important keyword" sounds better than "property" to me.
Comment 21 Frédéric Wang (:fredw) 2016-07-12 09:53:14 PDT
Created attachment 283419 [details]
Patch
Comment 22 Frédéric Wang (:fredw) 2016-07-13 08:28:20 PDT
@Brent: Can you please have a look at the new patch?
Comment 23 Brent Fulgham 2016-07-13 08:56:32 PDT
Comment on attachment 283419 [details]
Patch

r=me
Comment 24 Frédéric Wang (:fredw) 2016-07-13 09:11:52 PDT
Committed r203163: <http://trac.webkit.org/changeset/203163>